Bug 1155699 - sbt: broken hawtjni-runtime-1.8.jar symlink
Summary: sbt: broken hawtjni-runtime-1.8.jar symlink
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: sbt
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mikolaj Izdebski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-22 16:19 UTC by Mikolaj Izdebski
Modified: 2015-07-23 09:06 UTC (History)
4 users (show)

Fixed In Version: 0.13.1-8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-23 09:06:41 UTC
Type: Bug


Attachments (Terms of Use)

Description Mikolaj Izdebski 2014-10-22 16:19:55 UTC
Description of problem:
sbt has broken hawtjni-runtime-1.8.jar symlink. This prevents sbt from starting.

Version-Release number of selected component (if applicable):
0.13.1-5

Steps to Reproduce:
1. yum install sbt
2. sbt sbtVersion

Actual results:
[root@mizdebsk /]# sbt sbtVersion
Getting org.scala-sbt sbt 0.13.1 ...
downloading file:/usr/share/sbt/ivy-local/org.scala-sbt/sbt/0.13.1/sbt-0.13.1.jar ...
	[SUCCESSFUL ] org.scala-sbt#sbt;0.13.1!sbt.jar (3ms)
downloading file:/usr/share/sbt/ivy-local/org.scala-sbt/main/0.13.1/main-0.13.1.jar ...
	[SUCCESSFUL ] org.scala-sbt#main;0.13.1!main.jar (5ms)
downloading file:/usr/share/sbt/ivy-local/org.scala-sbt/compiler-interface/0.13.1/compiler-interface-bin-0.13.1.jar ...
	[SUCCESSFUL ] org.scala-sbt#compiler-interface;0.13.1!compiler-interface-bin.jar (1ms)
downloading file:/usr/share/sbt/ivy-local/org.scala-sbt/compiler-interface/0.13.1/compiler-interface-src-0.13.1.jar ...
	[SUCCESSFUL ] org.scala-sbt#compiler-interface;0.13.1!compiler-interface-src.jar (1ms)
downloading file:/usr/share/sbt/ivy-local/org.scala-sbt/actions/0.13.1/actions-0.13.1.jar ...
	[SUCCESSFUL ] org.scala-sbt#actions;0.13.1!actions.jar (2ms)
downloading file:/usr/share/sbt/ivy-local/org.scala-sbt/main-settings/0.13.1/main-settings-0.13.1.jar ...
	[SUCCESSFUL ] org.scala-sbt#main-settings;0.13.1!main-settings.jar (4ms)
downloading file:/usr/share/sbt/ivy-local/org.scala-sbt/interface/0.13.1/interface-0.13.1.jar ...
	[SUCCESSFUL ] org.scala-sbt#interface;0.13.1!interface.jar (2ms)
downloading file:/usr/share/sbt/ivy-local/org.scala-sbt/io/0.13.1/io-0.13.1.jar ...
	[SUCCESSFUL ] org.scala-sbt#io;0.13.1!io.jar (3ms)
downloading file:/usr/share/sbt/ivy-local/org.scala-sbt/ivy/0.13.1/ivy-0.13.1.jar ...
	[SUCCESSFUL ] org.scala-sbt#ivy;0.13.1!ivy.jar (13ms)
downloading file:/usr/share/sbt/ivy-local/org.scala-sbt/launcher-interface/0.13.1/launcher-interface-0.13.1.jar ...
	[SUCCESSFUL ] org.scala-sbt#launcher-interface;0.13.1!launcher-interface.jar (8ms)
downloading file:/usr/share/sbt/ivy-local/org.scala-sbt/logging/0.13.1/logging-0.13.1.jar ...
	[SUCCESSFUL ] org.scala-sbt#logging;0.13.1!logging.jar (2ms)
downloading file:/usr/share/sbt/ivy-local/org.scala-sbt/process/0.13.1/process-0.13.1.jar ...
	[SUCCESSFUL ] org.scala-sbt#process;0.13.1!process.jar (1ms)
downloading file:/usr/share/sbt/ivy-local/org.scala-sbt/run/0.13.1/run-0.13.1.jar ...
	[SUCCESSFUL ] org.scala-sbt#run;0.13.1!run.jar (2ms)
downloading file:/usr/share/sbt/ivy-local/org.scala-sbt/command/0.13.1/command-0.13.1.jar ...
	[SUCCESSFUL ] org.scala-sbt#command;0.13.1!command.jar (2ms)
downloading file:/usr/share/sbt/ivy-local/org.scala-sbt/classpath/0.13.1/classpath-0.13.1.jar ...
	[SUCCESSFUL ] org.scala-sbt#classpath;0.13.1!classpath.jar (2ms)
downloading file:/usr/share/sbt/ivy-local/org.scala-sbt/completion/0.13.1/completion-0.13.1.jar ...
	[SUCCESSFUL ] org.scala-sbt#completion;0.13.1!completion.jar (2ms)
downloading file:/usr/share/sbt/ivy-local/org.scala-sbt/api/0.13.1/api-0.13.1.jar ...
	[SUCCESSFUL ] org.scala-sbt#api;0.13.1!api.jar (4ms)
downloading file:/usr/share/sbt/ivy-local/org.scala-sbt/compiler-integration/0.13.1/compiler-integration-0.13.1.jar ...
	[SUCCESSFUL ] org.scala-sbt#compiler-integration;0.13.1!compiler-integration.jar (12ms)
downloading file:/usr/share/sbt/ivy-local/org.scala-sbt/compiler-ivy-integration/0.13.1/compiler-ivy-integration-0.13.1.jar ...
	[SUCCESSFUL ] org.scala-sbt#compiler-ivy-integration;0.13.1!compiler-ivy-integration.jar (2ms)
downloading file:/usr/share/sbt/ivy-local/org.scala-sbt/relation/0.13.1/relation-0.13.1.jar ...
	[SUCCESSFUL ] org.scala-sbt#relation;0.13.1!relation.jar (13ms)
downloading file:/usr/share/sbt/ivy-local/org.scala-sbt/task-system/0.13.1/task-system-0.13.1.jar ...
	[SUCCESSFUL ] org.scala-sbt#task-system;0.13.1!task-system.jar (4ms)
downloading file:/usr/share/sbt/ivy-local/org.scala-sbt/tasks/0.13.1/tasks-0.13.1.jar ...
	[SUCCESSFUL ] org.scala-sbt#tasks;0.13.1!tasks.jar (5ms)
downloading file:/usr/share/sbt/ivy-local/org.scala-sbt/tracking/0.13.1/tracking-0.13.1.jar ...
	[SUCCESSFUL ] org.scala-sbt#tracking;0.13.1!tracking.jar (2ms)
downloading file:/usr/share/sbt/ivy-local/org.scala-sbt/testing/0.13.1/testing-0.13.1.jar ...
	[SUCCESSFUL ] org.scala-sbt#testing;0.13.1!testing.jar (2ms)
downloading file:/usr/share/sbt/ivy-local/org.scala-lang/scala-compiler/2.10.3/scala-compiler-2.10.3.jar ...
	[SUCCESSFUL ] org.scala-lang#scala-compiler;2.10.3!scala-compiler.jar (70ms)
downloading file:/usr/share/sbt/ivy-local/org.scala-sbt/control/0.13.1/control-0.13.1.jar ...
	[SUCCESSFUL ] org.scala-sbt#control;0.13.1!control.jar (3ms)
downloading file:/usr/share/sbt/ivy-local/org.scala-lang/scala-library/2.10.3/scala-library-2.10.3.jar ...
	[SUCCESSFUL ] org.scala-lang#scala-library;2.10.3!scala-library.jar (47ms)
downloading file:/usr/share/sbt/ivy-local/org.scala-lang/scala-reflect/2.10.3/scala-reflect-2.10.3.jar ...
	[SUCCESSFUL ] org.scala-lang#scala-reflect;2.10.3!scala-reflect.jar (19ms)
downloading file:/usr/share/sbt/ivy-local/org.scala-sbt/collections/0.13.1/collections-0.13.1.jar ...
	[SUCCESSFUL ] org.scala-sbt#collections;0.13.1!collections.jar (3ms)
downloading file:/usr/share/sbt/ivy-local/jline/jline/2.11/jline-2.11.jar ...
	[SUCCESSFUL ] jline#jline;2.11!jline.jar (1ms)
downloading file:/usr/share/sbt/ivy-local/org.fusesource.jansi/jansi/1.9/jansi-1.9.jar ...
	[SUCCESSFUL ] org.fusesource.jansi#jansi;1.9!jansi.jar (3ms)
downloading file:/usr/share/sbt/ivy-local/org.scala-sbt/incremental-compiler/0.13.1/incremental-compiler-0.13.1.jar ...
	[SUCCESSFUL ] org.scala-sbt#incremental-compiler;0.13.1!incremental-compiler.jar (7ms)
downloading file:/usr/share/sbt/ivy-local/org.scala-sbt/compile/0.13.1/compile-0.13.1.jar ...
	[SUCCESSFUL ] org.scala-sbt#compile;0.13.1!compile.jar (1ms)
downloading file:/usr/share/sbt/ivy-local/org.scala-sbt/persist/0.13.1/persist-0.13.1.jar ...
	[SUCCESSFUL ] org.scala-sbt#persist;0.13.1!persist.jar (2ms)
downloading file:/usr/share/sbt/ivy-local/org.scala-sbt/classfile/0.13.1/classfile-0.13.1.jar ...
	[SUCCESSFUL ] org.scala-sbt#classfile;0.13.1!classfile.jar (3ms)
downloading file:/usr/share/sbt/ivy-local/org.scala-tools.sbinary/sbinary_2.10/0.4.2/sbinary_2.10-0.4.2.jar ...
	[SUCCESSFUL ] org.scala-tools.sbinary#sbinary_2.10;0.4.2!sbinary_2.10.jar (2ms)
downloading file:/usr/share/sbt/ivy-local/org.scala-sbt/cross/0.13.1/cross-0.13.1.jar ...
	[SUCCESSFUL ] org.scala-sbt#cross;0.13.1!cross.jar (4ms)
downloading file:/usr/share/sbt/ivy-local/org.apache.ivy/ivy/2.3.0/ivy-2.3.0.jar ...
	[SUCCESSFUL ] org.apache.ivy#ivy;2.3.0!ivy.jar (5ms)
downloading file:/usr/share/sbt/ivy-local/com.jcraft/jsch/0.1.46/jsch-0.1.46.jar ...
	[SUCCESSFUL ] com.jcraft#jsch;0.1.46!jsch.jar (2ms)
downloading file:/usr/share/sbt/ivy-local/org.scala-sbt/cache/0.13.1/cache-0.13.1.jar ...
	[SUCCESSFUL ] org.scala-sbt#cache;0.13.1!cache.jar (2ms)
downloading file:/usr/share/sbt/ivy-local/org.scala-sbt/test-agent/0.13.1/test-agent-0.13.1.jar ...
	[SUCCESSFUL ] org.scala-sbt#test-agent;0.13.1!test-agent.jar (2ms)
downloading file:/usr/share/sbt/ivy-local/org.scala-sbt/test-interface/1.0/test-interface-1.0.jar ...
	[SUCCESSFUL ] org.scala-sbt#test-interface;1.0!test-interface.jar (3ms)
downloading file:/usr/share/sbt/ivy-local/org.scala-sbt/apply-macro/0.13.1/apply-macro-0.13.1.jar ...
	[SUCCESSFUL ] org.scala-sbt#apply-macro;0.13.1!apply-macro.jar (2ms)

:: problems summary ::
:::: WARNINGS
		[NOT FOUND  ] org.fusesource.hawtjni#hawtjni-runtime;1.8!hawtjni-runtime.jar (0ms)

	==== fedora: tried

	  file:/usr/share/sbt/ivy-local/org.fusesource.hawtjni/hawtjni-runtime/1.8/hawtjni-runtime-1.8.jar

		[NOT FOUND  ] org.fusesource.jansi#jansi-native;1.5!jansi-native.jar (0ms)

	==== fedora: tried

	  file:/usr/share/sbt/ivy-local/org.fusesource.jansi/jansi-native/1.5/jansi-native-1.5.jar

		::::::::::::::::::::::::::::::::::::::::::::::

		::              FAILED DOWNLOADS            ::

		:: ^ see resolution messages for details  ^ ::

		::::::::::::::::::::::::::::::::::::::::::::::

		:: org.fusesource.hawtjni#hawtjni-runtime;1.8!hawtjni-runtime.jar

		:: org.fusesource.jansi#jansi-native;1.5!jansi-native.jar

		::::::::::::::::::::::::::::::::::::::::::::::



:: USE VERBOSE OR DEBUG MESSAGE LEVEL FOR MORE DETAILS
download failed: org.fusesource.hawtjni#hawtjni-runtime;1.8!hawtjni-runtime.jar
download failed: org.fusesource.jansi#jansi-native;1.5!jansi-native.jar
Error during sbt execution: Error retrieving required libraries
  (see /root/.sbt/boot/update.log for complete log)
Error: Could not retrieve sbt 0.13.1

Comment 1 Jaroslav Reznik 2015-03-03 16:23:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Mikolaj Izdebski 2015-07-21 11:09:46 UTC
Fixed in sbt-0.13.1-8

Comment 3 Mikolaj Izdebski 2015-07-23 09:06:41 UTC
I believe that this bug is fixed in sbt-0.13.1-8,
which is available in Fedora 23, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=670438


Note You need to log in before you can comment on or make changes to this bug.